Bug 535629 - (RHQ-2304) get CLI to work over SSL out of box without requiring manual config
get CLI to work over SSL out of box without requiring manual config
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: CLI (Show other bugs)
unspecified
All All
high Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Sudhir D
http://jira.rhq-project.org/browse/RH...
verified
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-07 10:37 EDT by John Mazzitelli
Modified: 2009-08-14 09:17 EDT (History)
0 users

See Also:
Fixed In Version: 1.3
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2009-08-07 10:37:00 EDT
Right now, the user has to pass in -D props to the CLI in order to be able to talk to the server over SSL, even if the user just wants to use encryption and have the CLI auto-gen a self-signed cert.

We should enable this out of box - if the user didn't set any props, provide some sensible defaults so the CLI will be able to self-sign an auto-gen cert.
Comment 1 John Mazzitelli 2009-08-08 02:45:57 EDT
no need to mess with environment vars if you are on a Sun JRE and you only need a self-signed auto-generated cert.
Comment 2 John Mazzitelli 2009-08-08 02:46:50 EDT
to test:

just start the out-of-box CLI (don't mess with any env files or set special props) and login over SSL:

login rhqadmin rhqadmin localhost 7443

it should connect. then go to your  CLI's data/ directory and confirm you have a keystore.dat file created.
Comment 3 Sudhir D 2009-08-14 09:17:14 EDT
This is verified, login was successful and the keystore.dat gets created successfully in data/ directory.

[root@dhcp6-150 bin]# ./rhq-cli.sh 
RHQ - RHQ Enterprise Remote CLI 1.3.0-SNAPSHOT
unconnected$ login rhqadmin rhqadmin localhost 7443
Remote server version is: 1.3.0-SNAPSHOT(4856)
Login successful

rhqadmin@localhost:7443$quit

[root@dhcp6-150 bin]# cd ..
[root@dhcp6-150 rhq-remoting-cli-1.3.0-SNAPSHOT]# ls
bin  conf  data  lib  logs
[root@dhcp6-150 rhq-remoting-cli-1.3.0-SNAPSHOT]# cd data
[root@dhcp6-150 data]# ls
keystore.dat
Comment 4 Red Hat Bugzilla 2009-11-10 16:01:52 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2304

Note You need to log in before you can comment on or make changes to this bug.